summaryrefslogtreecommitdiffstats
path: root/bin/runtest
diff options
context:
space:
mode:
authorHDF Admin <hdfadmin@ncsa.uiuc.edu>2003-07-07 17:03:08 (GMT)
committerHDF Admin <hdfadmin@ncsa.uiuc.edu>2003-07-07 17:03:08 (GMT)
commit540431b983b03ad4d1c9dadd86938ebbfe6d3a87 (patch)
treed4ac0c5f61a27d632061ffa164c8a771828050e0 /bin/runtest
parent949f595f10e541e2bef1bf419ca92ad4975df50e (diff)
downloadhdf5-540431b983b03ad4d1c9dadd86938ebbfe6d3a87.zip
hdf5-540431b983b03ad4d1c9dadd86938ebbfe6d3a87.tar.gz
hdf5-540431b983b03ad4d1c9dadd86938ebbfe6d3a87.tar.bz2
[svn-r7179] Purpose:
Bug fix Description: If the base directory (.../snapshot-...) does not exist yet, the runtest and snapshot will continue on till it bumped into a "wall". Solution: Added verification that the BASEDIR does exist.
Diffstat (limited to 'bin/runtest')
-rwxr-xr-xbin/runtest7
1 files changed, 6 insertions, 1 deletions
diff --git a/bin/runtest b/bin/runtest
index 39b89c2..330eb7d 100755
--- a/bin/runtest
+++ b/bin/runtest
@@ -553,8 +553,13 @@ fi
#################################
# Setup snapshot test directories
#################################
+BASEDIR=${HOME}/snapshots-${H5VERSION}
+if [ ! -d ${BASEDIR} ]; then
+ echo "BASEDIR ($BASEDIR) does not exist"
+ exit 1
+fi
# Show the real physical path rather than the symbolic path
-SNAPYARD=`cd $HOME/snapshots-${H5VERSION} && /bin/pwd`
+SNAPYARD=`cd $BASEDIR && /bin/pwd`
# Log file basename
LOGBASENAME=${SNAPYARD}/log/${HOSTNAME}
PASSEDLOG=${SNAPYARD}/log/PASSED_LOG_${TODAY}